Page MenuHomePhabricator

Audit default module payload (2019)
Closed, ResolvedPublic

Description

T121730: Audit use of @embed and remove where not needed (2019) | …


After auditing the startup payload (first JS request), we should follow through and take on the bigger chunk of the page modules payload as well (second JS request(s)). These are modules loaded on all (or most) page views after the startup JS has initialised.

(Placeholder task for future goal)

Sub tasks:

  • TBD …

Ideas for changes that might be in scope:

See also:

Details

ProjectBranchLines +/-Subject
mediawiki/coremaster+0 -5
mediawiki/coremaster+2 -5
mediawiki/extensions/UniversalLanguageSelectormaster+58 -43
mediawiki/extensions/Translatemaster+102 -104
mediawiki/extensions/Translatemaster+3 -4
mediawiki/extensions/CollaborationKitmaster+1 -2
mediawiki/extensions/Thanksmaster+1 -2
mediawiki/extensions/FlaggedRevsmaster+0 -1
mediawiki/extensions/CentralAuthmaster+0 -1
mediawiki/extensions/BlueSpiceSocialProfilemaster+1 -1
mediawiki/extensions/BlueSpiceAvatarsmaster+0 -1
mediawiki/extensions/Wikibasemaster+1 -3
mediawiki/extensions/MobileFrontendmaster+0 -1
mediawiki/extensions/UploadWizardmaster+0 -1
mediawiki/extensions/Flowmaster+0 -1
mediawiki/extensions/Echomaster+0 -1
mediawiki/extensions/GrowthExperimentsmaster+0 -3
mediawiki/extensions/AbuseFiltermaster+0 -1
mediawiki/extensions/VisualEditormaster+0 -1
mediawiki/extensions/MultimediaViewermaster+1 -2
mediawiki/coremaster+16 -37
mediawiki/coremaster+6 -1
mediawiki/coremaster+0 -20
mediawiki/coremaster+88 -12
mediawiki/coremaster+51 -46
mediawiki/coremaster+5 -2 K
mediawiki/coremaster+41 -58
mediawiki/coremaster+12 -39
mediawiki/skins/Vectormaster+1 -2
Show related patches Customize query in gerrit

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Krinkle updated the task description. (Show Details)Oct 17 2019, 8:54 PM
Krinkle raised the priority of this task from Medium to High.Oct 24 2019, 2:39 PM

Change 548899 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resources: Merge dblClickEdit and rightClickEdit JS code

https://gerrit.wikimedia.org/r/548899

Change 548899 merged by jenkins-bot:
[mediawiki/core@master] resources: Merge dblClickEdit and rightClickEdit JS code

https://gerrit.wikimedia.org/r/548899

Change 574133 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Merge mediawiki.page.startup.js into mediawiki.page.ready

https://gerrit.wikimedia.org/r/574133

Change 574134 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Remove unused 'mediawiki.page.startup' alias

https://gerrit.wikimedia.org/r/574134

Change 574257 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Add 'script-regexp' package file type

https://gerrit.wikimedia.org/r/574257

Change 574258 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Remove mediawiki.template.regexp module

https://gerrit.wikimedia.org/r/574258

Krinkle renamed this task from Audit default page modules payload (2019) to Audit default module payload (2019).Feb 24 2020, 1:19 PM

Change 574257 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Convert mediawiki.Uri to package files

https://gerrit.wikimedia.org/r/574257

Change 574258 merged by jenkins-bot:
[mediawiki/core@master] Remove mediawiki.template.regexp module

https://gerrit.wikimedia.org/r/574258

Change 579658 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] OutputPage: Only export wgUserNewMsgRevisionId if non-null

https://gerrit.wikimedia.org/r/579658

Change 579658 merged by jenkins-bot:
[mediawiki/core@master] OutputPage: Only export wgUserNewMsgRevisionId if non-null

https://gerrit.wikimedia.org/r/579658

Change 579762 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] languages: Move default $wgNamespaceAliases to MessagesEn.php

https://gerrit.wikimedia.org/r/579762

Change 579769 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] Setup: Remove compat for $wgDisableCounters

https://gerrit.wikimedia.org/r/579769

@Krinkle 3 options to unblock this.

1) Allow skins to opt out with a supportsFeature method

https://gist.github.com/jdlrobson/89876628d18413490db85fd56a8ada37

Minerva can extend supportsFeature using class inheritance to always return false for now.

2) Hardcode a Minerva opt out
Similar to above but instead of creating a method just add mw.config.get('skin') !== 'minerva'
Might be preferable

3) Enable it
https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/580529 Allow mw-collapsible and sortable to run on mobile.

Damage doesn't look too bad to me, but I think this would need an okay from Olga from Alex so a little out of my control.

I'm happy to own any technical debt that arises.

Change 583754 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] mediawiki.base: Merge mw.notify stub into mediawiki.base

https://gerrit.wikimedia.org/r/583754

Change 583754 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.base: Merge mw.notify stub into mediawiki.base

https://gerrit.wikimedia.org/r/583754

Nirmos added a subscriber: Nirmos.Apr 4 2020, 2:28 PM

Change 587336 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/MultimediaViewer@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587336

Change 587558 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/VisualEditor@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587558

Change 587336 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587336

Change 587558 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587558

Change 587617 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Wikibase@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587617

Change 587618 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/AbuseFilter@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587618

Change 587619 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CentralAuth@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587619

Change 587620 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Echo@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587620

Change 587621 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Flow@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587621

Change 587622 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/GrowthExperiments@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587622

Change 587623 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MobileFrontend@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587623

Change 587624 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/UploadWizard@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587624

Change 587625 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/BlueSpiceSocialProfile@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587625

Change 587626 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/BlueSpiceAvatars@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587626

Change 587618 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587618

Change 587622 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587622

Change 587620 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587620

Change 587621 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587621

Change 587624 merged by jenkins-bot:
[mediawiki/extensions/UploadWizard@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587624

Change 587623 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587623

Change 587617 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587617

Change 587626 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceAvatars@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587626

Change 587625 merged by Pwirth:
[mediawiki/extensions/BlueSpiceSocialProfile@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587625

Change 587619 merged by jenkins-bot:
[mediawiki/extensions/CentralAuth@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/587619

Change 589321 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/FlaggedRevs@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/589321

Change 589321 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Remove unneeded dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/589321

Change 591973 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Thanks@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/591973

Change 591973 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/591973

Change 593088 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] mediawiki.notification: Remove the 'mediawiki.notify' module

https://gerrit.wikimedia.org/r/593088

Change 594814 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/CollaborationKit@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/594814

Change 594815 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Translate@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/594815

Change 594814 merged by jenkins-bot:
[mediawiki/extensions/CollaborationKit@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/594814

Change 594815 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/594815

Question (I'm not very familiar with the optimization work and resource loader):
mediawiki.htmlform.checker appears to only be used in mediawiki.special.userlogin.signup.js - does it need to be registered as a separate module?

Well-spotted. Indeed, neither the module nor mw.htmlform.Checker appear to be used elsewhere within core. Sounds like a good candidate for merging indeed. That opens the possibility to expose the functionality via private module exports instead of on the mw host object.

Change 597902 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Translate@master] Remove redundant dependency on 'mediawiki.notify' (part 2)

https://gerrit.wikimedia.org/r/597902

Change 597902 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Remove redundant dependency on 'mediawiki.notify' (part 2)

https://gerrit.wikimedia.org/r/597902

Change 599132 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/UniversalLanguageSelector@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/599132

Change 599132 merged by jenkins-bot:
[mediawiki/extensions/UniversalLanguageSelector@master] Remove redundant dependency on 'mediawiki.notify'

https://gerrit.wikimedia.org/r/599132

Change 593088 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.notification: Remove the 'mediawiki.notify' module

https://gerrit.wikimedia.org/r/593088

Krinkle closed this task as Resolved.May 28 2020, 7:32 PM
Krinkle edited projects, added Performance-Team-publish; removed Patch-For-Review.
Krinkle moved this task from Untriaged to Misc bookmarks on the Performance-Team-publish board.